Subject: [tryton] Re: Handling of translations between releases

From: Cédric Krier <[email-masked]>
Date: Sat, 29 Nov 2008 14:36:53 +0100

On 29/11/08 05:28 -0800, yangoon wrote:
> 
> > To simplify the process, I propose that one repository for every
> > translations will be open.
> > Thuesday, we sync this repo with the current developpement, when it is
> > done a email is send to the google groups.
> 
> Thursday <-> Tuesday?

Sorry misspell, TI mean Thursday

> Weekly or end of month?

end of the month.

> Why sync on Thursday/Tuesday, if you want close translation window on
> Friday 17:00 CET?
> 

I just want that commits for translation change will be mad during this
window.

> > Then translators push their changes in the repo.
> > Friday at 17:00 CET, the translation window is closed and will be
> > integrate in the main repositories.
> 
> It is not my interest to oppose here, but IMHO this way brings a lot
> of unflexibilty and can be very unproductive.
> Most recent example:
> You want to close translation window at Friday 17:00. On Friday Nov 28
> 18:27:40 you pushed an update for account_invoice containing a lot of
> new items to be translated. It really doesn't make much sense to have
> translation merged (with perhaps few changes), if there will be many
> changes just a few hours later. In my view it is neither opportune to
> put a brake on those pushes nor to put a brake on translation dev.
> 

As I told previously, for me it is counter-productive to translate
during the development process.

> If the maintainers are pinged on IRC by a translator (who has to
> estimate accurately, if there are enough important changes to be
> committed), they are not obliged to merge in the same minute, nor the
> same hour, nor the same day, and even not the same week, but when you
> can afford some spare time for it. So the method practiced until now
> gave us the maximum of flexibilty, was accurate for development, not
> just contribution,  and didn't make (much) more effort.
> 

We can not wait to long to merge change. Otherwise there is to much work
for checking and merging. That why I want to have commits during a short
period to prevent to have too much change and merge to check.

-- 
Cédric Krier

B2CK SPRL
Rue de Rotterdam, 4
4000 Liège
Belgium
Tel: +32 472 54 46 59
Email: [email-masked]
Jabber: [email-masked]
Website: http://www.b2ck.com/

---

From: yangoon <[email-masked]>
Date: Sat, 29 Nov 2008 05:28:15 -0800 (PST)

Thursday <-> Tuesday?
Weekly or end of month?

Just my 2c
--~--~---------~--~----~------------~-------~--~----~
[email-masked] mailing list
-~----------~----~----~----~------~----~------~--~---

---

From: Cédric Krier <[email-masked]>
Date: Sat, 29 Nov 2008 12:51:40 +0100

On 29/11/08 00:34 -0800, Timitos wrote:
> 
> Yes, I think this is a good solution.
> 

-- 
Cédric Krier

B2CK SPRL
Rue de Rotterdam, 4
4000 Liège
Belgium
Tel: +32 472 54 46 59

---

From: Timitos <[email-masked]>
Date: Sat, 29 Nov 2008 00:34:36 -0800 (PST)

---

From: Cédric Krier <[email-masked]>
Date: Fri, 28 Nov 2008 17:03:55 +0100

I suggest as compromise that we update the main repository with
translations each last Friday of the month.
Is it a good solution for you?

-- 
Cédric Krier

B2CK SPRL
Rue de Rotterdam, 4
4000 Liège
Belgium
Tel: +32 472 54 46 59

---

From: Cédric Krier <[email-masked]>
Date: Fri, 28 Nov 2008 09:42:03 +0100

On 28/11/08 09:06 +0100, udo spallek wrote:
> 
> Conclusion: I find we should support both ways. Because in the long run I
> see in my *crystal ball** *we will have a larger translation community for
> more languages. Therefore we need a mechanism which is able to put automated
> translations into the main repos. It is tedious for the maintainers doing
> this by hand. Isn't there a possibility to sync the repos automated nightly
> at a given time?

I don't like the idea of automated because I prefer to have human check
of what happens.

> 
> Another question is why we have different language repos for each language?
> Isn't it more efficient and clean to have one repos for all translations per
> module and client and server?
> The germans work on de_DE.csv, the spanish people work on es_ES.csv and if
> we have a russian contibutor, we just add a ru_RU.csv to one and the same
> repos.

I agree with you. But I think it is to the translators to decide.

-- 
Cédric Krier

B2CK SPRL
Rue de Rotterdam, 4
4000 Liège
Belgium
Tel: +32 472 54 46 59

---

From: "udo spallek" <[email-masked]>
Date: Fri, 28 Nov 2008 09:06:07 +0100

Hey Mathias,

the project is growing and we need to dismiss some work from the
maintainers. For me it is a question of automation to get translation files
in sync to the main repos.
You are right, that german translators are working in a different way on
translating then the french translators.
The german speaker work continously on the translation, ced and bechamel
the  french translators work short before the release on the translations.
I find both ways have their pros and cons. I don't like to discuss in
detail, but just to name the general difference of the two approaches:

1. Cedk and bechamel are the project maintainers & module authors &
framework authors & much more & finaly translators for french language. I
understand, that from their point of view the logical way seems to first
wait for some software completion before starting with translation.
2. The way the german localizers prefers to discuss more on words and
namings. We like to contribute when we like. And it is helpful for us to see
the changes at a glance.

Cheers
Udo

---

From: yangoon <[email-masked]>
Date: Wed, 26 Nov 2008 02:59:42 -0800 (PST)

FollowUp to the discussion on IRC from 25.11.08 (http://www.tryton.org/
~irclog/2008-11-25.log.html)

As the translation of an application is very important for its look
and feel I don't feel comfortable with the current approach to exclude
translation updates between major releases from the main repository
(as intended by maintainers on IRC and http://code.google.com/p/tryton/wiki/ReleaseGeneral).
Translation is a process to be performed as the application grows and
develops, and not just to be done in the last 1-2 months of a half
year release cycle.

Hint for users and testers of translation:
Even if translation repos are up-to-date with main repos, you will
downgrade your translation again, if updating form main repos.

I see two ways to encounter this issue:

1) Include translation updates into main repos not only before
releases, but constantly in the development process (as was done
before first release).
-> result: slightly deferred, but available translation updates from
main repos

2) Update translation repos in real time from the side of the main
repo to make translation repos really usable for devs and users, that
want to profit or take part in the translation development.
-> result: translation updates are available in translation repos with
tip from main repos (but responsibilty for pushing is on the side of
the mainatainers of the main repos, since there is currently no way
for non-maintainers to guarantuee, that tip from main line is
available in translation repos).

Looking forward to your comments,
Mathias